require 'sketchup.rb'
module TAK2HATA
module TestForFurEn
	def self.test_furwlt()
		thisfile = __FILE__
		thisdir = File.dirname( __FILE__ )
		fur_dir = File.join( thisdir , "fur_en" )
		js_dir = File.join( fur_dir , "js" )
		css_dir = File.join( fur_dir , "css" )

		shtm = "
		<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>
		<html><head><meta http-equiv='Content-Type' content='text/html; charset=utf-8' >
		<link rel='stylesheet' type='text/css' media='screen' href='" + fur_dir + "/css/le-frog/jquery-ui-1.9.2.custom.css' />
		<script type='text/javascript' src='" + fur_dir + "/js/jquery-1.8.3.js'></script>
		<script type='text/javascript' src='" + fur_dir + "/js/jquery-ui-1.9.2.custom.js'></script>
		<script type='text/javascript'>
		$(function(){
			$('#tabs').tabs();
			$('#slider_testslider' ).slider({range: false,min:0,max:100,step:1,value:50});
		});
		</script>
		</head>
		<body bgcolor='#f6f6f6' >
		plugin_folder(Exist:" + File.exist?( thisdir ).to_s + ")=" + thisdir.dump + "<br>
		fur folder(Exist:" + File.exist?( fur_dir ).to_s + ")=" + fur_dir.dump + "<br>
		JS dir(Exist:" + File.exist?( js_dir ).to_s + ")=" + js_dir.dump + "<br>
		CSS dir(Exist:" + File.exist?( css_dir ).to_s + ")=" + css_dir.dump + "<br>
		<div id='slider_testslider'></div>
		</body></html>
		"
		@wdlg = UI::WebDialog.new( "Fur TEST", true, "T2H_FUR_DIALOG", 300, 680, 150, 150, true)
		@wdlg.set_html(shtm)
        if RUBY_PLATFORM[/darwin/]
            @wdlg.show_modal { }
        else
            @wdlg.show { }
        end
	end
	def self.add_menu()
		tak_ann_menu = UI.menu("Plugins").add_item( "Fur Test For Walt" ){
			test_furwlt()
		}
	end
	
	if not file_loaded?( "fur_test_for_walt.rb" )
		add_menu()
	end
	file_loaded("fur_test_for_walt.rb")
end
end
